import './index.css'

import { registerSW } from 'virtual:pwa-register'
import { createApp } from 'vue'

import App from '@/App.vue'
import router from '@/router'

import { i18n } from './i18n'

registerSW({
  onOfflineReady() {
    // showToast('Ce jeu peut être installé<br>pour fonctionner hors-ligne.', 2000)
  },
})

const app = createApp(App)

app.use(router)
app.use(i18n)

app.mount('#app')
